/* File: accelmpts.c
   Calculate the acceleration for time t
   from 0 to 10 seconds using a while-loop */
#include <stdio.h>
#define M_G   9.81  /* gravitational acceleration constant g */

int main() {
    /* declaration and initialization */
    double a, mu=0.2, m=5.0, t0=0.0, tf=10.0, step=1.0, p, t;
    int i, n;

    /* display header of the table for time and accel */
    printf("time (s)  accel (m/s^2)\n");
    printf("-----------------------\n");
    n = (tf - t0)/step + 1;      /* number of points, 11 */
    i = 0;
    while (i<n) {
       t = t0 + i*step;          /* calculate value t */
      /* calculate acceleration based on time */
      if(t <= 3) {  /* if time t is less or equal to 3 */ 
         p = 20;
      }
      else {        /* else time t is larger than 3 */
         p = 4*(t+2);
      }
      a = (p-mu*m*M_G)/m;

      /* display output */
      printf("%3.0f      %8.4f\n", t, a);
      i++; /* increment the count for next value */
    }
    return 0;
}
