/* File: force2.c 
   Calculate the force based on the input time.
   The formulas for the force depend on whether time t
   is 0<= t <= 3 or t > 3. */
#include <stdio.h>

int main() {
    double p, t;

    printf("Please input time in seconds\n");
    scanf("%lf", &t);
    if(0 <= t && t <= 3)  { /* when 0<= t <= 3 */
        p = 20;
        printf("Force p = %f (N)\n", p);
    }
    else if(t > 3) {        /* when t > 3 */
        p = 4*(t+2);
        printf("Force p = %f (N)\n", p);
    }
    else {                  /* when t < 0 */ 
        printf("Invalid input\n");
    }
    return 0;
}
