/* File: gpa2.c 
   Calculate the GPA for grades entered from the terminal
   until a sentinel number -1 is entered. */
#include <stdio.h>

#define SENTINELNUM -1   /* sentinel number */
#define HIGHESTMARK 4.0  /* highest mark for grade */

int main() {
    /* declaration */
    int count;
    double grade, total, gpa;

    /* initialization */
    count = 0;
    total = 0;

    /* processing input grades and calculate the GPA */
    printf("Enter a grade [0, %g] or %d to end:\n", HIGHESTMARK, SENTINELNUM);
    scanf("%lf", &grade);
    while((int)grade != SENTINELNUM) {
       /* a valid grade should 0<= grade <= 4 */
       if(0 <= grade && grade <= HIGHESTMARK) {
         total += grade;
         count++;
       }
       else {
         printf("Invalid grade %c\n", '\a');
       }
       printf("Enter a grade [0, %g] or %d to end:\n",HIGHESTMARK,SENTINELNUM);
       scanf("%lf", &grade);
    }

    /* display output and termination */
    if(count != 0) {
       gpa = total/count;
       printf("The GPA is: %f\n", gpa);
    }
    else
      printf("No grade entered.\n");
    return 0;
}
