/* File: nestedloop.c
   Make a multiplication table using two nested loops  */
#include <stdio.h>

int main() {     
    int i, j;

    printf("        1   2   3   4   5   6   7   8   9  10\n");
    printf("  -------------------------------------------\n");

    /* for multiplication of i*j, with both i and j from 1 to 10 */
    for(i=1; i<= 10; i++) {        /* outer loop in i */
       /* for each i, calculate i*j for j from 1 to 10 */
       printf("%4d|", i);
       for(j=1; j<=i; j++) {       /* inner loop in j */
          printf("%4d", i*j);
       }
       printf("\n");     /* a newline for each i */
    }
    printf("  -------------------------------------------\n");
    return 0;
}

