/* File: factorrecursive.c 
   Calculate the factorial using a recursive function */
#include <stdio.h>

/* function prototype for factorial() with return type unsigned int */
unsigned int factorial(int n);
int main() {     
    int i;

    /* calculate factorials 0!, 1!, 2!, 3!, 4!, 5! */
    for(i=0; i<=5; i++)
       printf("%d! = %u\n", i, factorial(i));
    return 0;
}

/* factorial(n) returns the factorial n!; function is recursive. */
unsigned int factorial(int n) { 
    unsigned int n1;
    if(n <=  1) {  /* termination condition for this recursive function */
       return 1;
    }
    else {         /*  using a recursive formula n! = n*(n-1)! */
       n1 = n*factorial(n-1);
       return n1;
    }
}
