/* File: funcname.c (run in C99 and Ch only)
   Compile in gcc, use command 'gcc -std=c99 funcname.c' 
   Demonstrate that each function has an implicitly declared 
   identifier __func__ */
#include <stdio.h>

/* function uses __func__ to refer its function name */
void funcname(void) {
    printf("The function name is %s\n", __func__);
}

int main() {
    funcname();
    return 0;
}
