/* File: staticf.c 
   Use 'static' variable inside a function */
#include <stdio.h>

/* function func() has a static variable inside */
int func(void) {
    static int x=10; /* static variable x is initialized only once */
    int y=10;        /* automatic variable y is initialized  */
                     /* each time  when func() is called */
    printf("x = %d y = %d\n", x, y);
    x++; y++;
    printf("x = %d y = %d\n", x, y);
    return 0;
}

int main() {
    /* x inside func() in the second call retains the value
       in the first call. */
    func(); /* first call func() */
    func(); /* second call func() */
    return 0;
}
  
