/* File: accelgetnum.c
   Calculate the acceleration using function getnum() */
#include <stdio.h>
#define M_G   9.81  /* gravitational acceleration constant g */

/* function prototype for external function getnum() */
extern double getnum(char *, double d);

int main() {
    double a, mu, m, p, t; /* declare variables */

    printf("***** Acceleration Calculator *****\n\n");
    /* prompt the user for input of m with a default value 5 */
    m = getnum("Please enter value for mass in kilogram [5]", 5); 
    printf("mass is %lf (m)\n\n", m);

    /* prompt the user for input of mu with a default value 0.2 */
    mu = getnum("Please enter value for friction coefficient [0.2]", 0.2); 
    printf("friction coefficient is %lf\n\n", mu);

    /* prompt the user for input of t with a default value 2 */
    t = getnum("Please enter value for time in second [2]", 2); 
    printf("time is %lf (s)\n\n", t);

    /* calculate the acceleration and display the result */
    p = 4*(t-3)+20;
    a = (p-mu*m*M_G)/m;
    printf("Acceleration a = %f (m/s^2)\n", a);
    return 0;
}
