/* File: linear.c
   Generate linearly spaced data for an array with N elements from x0 to xf */
#include <stdio.h>

#define N  11        /* number of elements for array x */

int main() { 
    double x[N],     /* declare x as an array with N elements */
           x0 = 0.0, /* initial value for x */
           xf = 5.0; /* final value for x */
    int i;           /* variable for array index */
    
    printf("  i   ");       /* print i */
    /* generate linearly spaced data for an array with N elements 
       from x0 to xf using a for-loop */
    for(i= 0; i < N; i++) {  
       printf("%4d ", i);   /* print value for i in each iteration */
       x[i] = x0+i*(xf - x0)/(N-1); /* calculate x[i] */
    }
    /* print the first newline char to finish a row for values i's */ 
    /* print x[i] for i = 0 to N-1 in a row using a for-loop */
    printf("\nx[i]  ");        
    for(i= 0; i < N; i++) {  
       printf("%4.2f ", x[i]);
    }
    printf("\n");           /* a newline character to terminate the row */
    return 0;
}
