/* File: linearsys.ch
   Solve a system of linear equations Ax=b for x using linsolve() */
#include <stdio.h>
#include <numeric.h>   /* for linsolve() */

int main() {
    /* declare and initialize 3x3 matrix A and vector, declare x */
    double a[3][3] = {3, 5, 6, 
                      4, 2, 1,
                      0, 7, 1};
    double b[3] = {-1, 8, 5}, x[3]; 
    
    linsolve(x, a, b); /* solve for x in Ax=b */
    printf("x = %g, %g, %g\n", x[0], x[1], x[2]); /* print vector x */
    return 0;
}
