/* File: funptr.c 
   Use a pointer to function */
#include <stdio.h>

/* a function with an argument of type double and return type int */ 
int fun(double f) {
    printf("f = %f\n", f);
    return 0;
}

int main() {
    /* declare pf as a pointer to functions with an argument of 
       type double and return type int */
    int (*pf)(double f); 

    fun(10.0);   /* call function fun() */
    pf = fun;    /* pf points to fun() */
    pf(20.0);    /* call fun() indirectly using pf() */
    return 0;
}
