/* File: pass2Das1D.c
   Pass two-dimensional arrays as one-dimensional arrays */
#include <stdio.h>

/* print the passed array, treat is a two-dimensional array */
void printArray(int m, int n, int *a) {
    int i, j;  /* loop indexes */

    for(i = 0; i < m*n; i++) {
        if(i == n)             /* print a line when each row */
            printf("\n");
        printf("%d ", *(a+i)); /* print element by element in the array */
    }
    printf("\n");
    /* access element a[i][j] for mxn array a using *(a+i*n+j) */
    i = 1;
    j = 2;
    printf("a[%d][%d] = %d\n", i, j, *(a+i*n+j));
} 

int main() { 
    int a[2][3] = {1, 2, 3,   /* declare array of 2x3 */
                   4, 5, 6};

    printf("Array a = \n");
    printArray(2, 3, &a[0][0]); /* pass array a of 2x3 to printArray() */
    return 0;
} 
