/* File: ptrplus.c
   Demonstration of pointer arithmetic */
#include <stdio.h>

int main() {
  int i, a[6] = {1,2,3,4,5,6}; /* declare i and array a with initialization */
  int *p;                 /* declare p as a pointer to int */
 
  p = &a[0];              /* p points to the first element of array a */
  printf("p = %p\n", p);
  i = *p++;               /* access *p, advance p to the next element,
                             assign the previous *p to i */ 
  printf("i = %d\n", i);
  printf("p = %p\n\n", p);

  p = &a[0];              /* p points to the first element of array a */
  printf("p = %p\n", p);
  i = *++p;               /* increment p to the next element, access *p,
                             assign *p to i */
  printf("i = %d\n", i);
  printf("p = %p\n", p);
  return 0;
}
