/* File: ptrsize.c
   Calculate size of pointers for different data types (they are the same).
   However, for the same program, the size of pointer for a data type
   on a 32-bit machine is different from that in a 64-bit machine.
   The size of a pointer is 4 bytes for a 32-bit machine;
   it is 8 bytes for a 64-bit machine. */
#include <stdio.h>

int main() {
   char *pc;
   int *pi;
   double *pd;
   
   printf("sizeof(char *) = %u\n", sizeof(char *));
   printf("sizeof(pc) = %u\n", sizeof(pc));
   printf("sizeof(pi) = %u\n", sizeof(pi));
   printf("sizeof(pd) = %u\n", sizeof(pd));
   return 0;
}
