/* File: stringvla.c (run in C99 and Ch only)
   Compile in gcc, use command 'gcc -std=c99 stringvla.c' 
   Allocate memory for a string using VLA in C99 */
#include <stdio.h>
#include <string.h>   /* for strcpy() */

int main() {
    /* allocate memory for name using VLA.
       NOTE: 1 extra byte for the null terminating character '\0' !!! */
    char name[strlen("John")+1]; 

    strcpy(name, "John");        /* copy string "John" to name */
    printf("name = %s\n", name); /* print string name */
    return 0;
}
