/* File: strtok.c 
   Get tokens from a string */
#include <stdio.h>
#include <string.h> /* for strtok() */

int main() {
    /* declare the original string */ 
    char *str = "Comma, colon: and space are delimiters";
    char *delimit = " ,:";  /* delimiters ' ', ':', and ',' */
    char *token;            /* contain a token */
   
    token = strtok(str, delimit);  /* initial call to strtok() */
    while(token!= NULL) {          /* looping, until all tokens are obtained */
        printf("token = %s\n", token);  /* print a token */
        token = strtok(NULL, delimit);  /* get the next token */
    }
    printf("str = %s\n", str); /* see, original string has been messed up! */
    return 0;
}

