/* File: strtok_r.c
   Get tokens from a string using thread-safe reentrant function strtok_r() */
#include <stdio.h>
#include <string.h>
#include <string.h> /* for strtok_r() */

int main() {
    /* declare the original string */
    char *str = "Comma, colon: and space are delimiters";
    char *delimit = " ,:";  /* delimiters ' ', ':', and ',' */
    char *token, *endptr = NULL; /* contain a token, and a pointer 
                                    to save the end of string */
    
    token = strtok_r(str, delimit, &endptr); /* initial call to strtok() */
    while(token!= NULL) {          /* looping, until all tokens are obtained */
        printf("token = %s\n", token);  /* print a token */
        token = strtok_r(NULL, delimit, &endptr); /* get the next token */
    }
    printf("str = %s\n", str); /* see, original string has been messed up! */
    return 0;
}
