/* File: clock.c
   Use clock() to find the CPU time for a segment of the code */
#include <stdio.h>
#include <time.h>     /* for clock_t, clock(), CLOCKS_PER_SEC */

int main() {
    int i;
    clock_t t;        /* declare variable t for processor time */
    
    clock();          /* first call clock() */
    for(i = 0; i<1000;i++) {}; /* an empty loop */
    /* return the time between first call and this call */
    t = clock();
    printf("The CPU time for 1000 loop iterations is %.2f seconds.\n", 
            (double)t/(double)CLOCKS_PER_SEC); 
    return 0;
}
