/* File: offsetofs.c 
   Obtain the offsets for members of a structure */
#include <stdio.h>
#include <stddef.h>    /* for macro offsetof() */

struct Student{
    int id;
    char name[32];
};

int main() {
    size_t offset;    /* offset is declared with data type size_t */

    /* obtain and display the offsets for members of struct Student */
    printf("sizeof(struct Student) = %u\n", sizeof(struct Student));
    offset = offsetof(struct Student, id);
    printf("offset id in struct Student = %u\n", offset);
    offset = offsetof(struct Student, name);
    printf("offset name in struct Student = %u\n", offset);
    return 0;
}
