/* File: sizeofs.c
   Calculate the size of a structure */
#include <stdio.h>

struct Student {
    int id;
    char name[32];  
} s, *sp;

int main() {
    /* calculate  the size of structure type  */
    printf("sizeof(struct Student) = %u\n", sizeof(struct Student));
    printf("sizeof(s) = %u\n", sizeof(s));

    /* The size of a pointer to structure is the same as the size
       of a pointer to other data types */ 
    printf("sizeof(struct Student*) = %u\n", sizeof(struct Student*));
    printf("sizeof(sp) = %u\n", sizeof(sp));
    return 0;
}
