/* File: remove.c */
#include <stdio.h>
#include <unistd.h> /* for X_OK, F_OK, R_OK, W_OK */
//#include <windows.h> /* for X_OK, F_OK, R_OK, W_OK */
#include <stdlib.h> /* for exit() */

int main() {
    char *name = "accel.txt";
    int status;

    if(!access(name, F_OK)) {
        if(!access(name, W_OK)) {
           status = remove("accel.txt");
           if(!status) {
              printf("accel.txt removed\n");
           }
           else {
              printf("accel.txt cannot be removed\n");
           }
        }
        else {
           printf("accel.txt is not writable, no permission to remove\n");
           exit(EXIT_FAILURE);
        }
    }
    else {
        printf("accel.txt does not exist\n");
        exit(EXIT_FAILURE);
    }
    exit(EXIT_SUCCESS);
}
