/* a self-referencing structure for a stack node */
struct StackNode {
    /* data for each node */
    ...
    struct StackNode *next;     /* link to the next node */
};
typedef struct StackNode *Node; /* define type Node */

/* insert a node to the top of the stack */
void push(Node *head, Node nd) {
    nd->next = *head;/* head becomes the next node of the new node */
    *head = nd;      /* the new node becomes the new head */
}

/* delete a node from the top of the stack */
void pop(Node *head) {
    Node tmp = *head;       /* tmp is the head of the list */

    if (*head == NULL)      /* empty node */
      return;
    else {                
      *head = (*head)->next;
      freeNode(tmp);        /* free the memory for the head node */
    }
}   
