/* File: cfunction.c (run in C9 and Ch only)
   Compile in gcc, use command 'gcc -std=c99 cfunction.c -lm'
   Use complex mathematical functions */

#include <stdio.h>
#include <complex.h>   /* for complex, I, creal(), cimag(), csin(), csinf() */

int main() {
    /* declare and initialize  complex variables z and dz */
    float complex z = 1.0+I*2.0;          
    double complex dz = 1.0+I*2.0;

    /* calculate and print sin() for z and dz */
    z = csinf(z);
    dz = csin(dz);
    printf("z  = complex(%f, %f)\n", creal(z), cimag(z));
    printf("dz = complex(%f, %f)\n", creal(dz), cimag(dz));
    return 0;
}
