/* File: CStudent.cpp
   Definitions of member functions for class CStudent */
#include <string.h>        // for strcpy()
#include <iostream>        // for I/O in C++j
#include "student.h"       // for class CStudent definition
using namespace std;       // for using cout, cin, cerr, endl

CStudent::CStudent(int id, char *name) { // constructor definition
    m_id = id;
    if(name != NULL) {
      m_name = new char[strlen(name)+1]; // allocate memory
      strcpy(m_name, name);
    }
}

CStudent::~CStudent() {                  // destructor definition
    if(m_name != NULL) {
       delete (m_name);                  // free the allocated memory
    }
    cout << "Destructor ~CStudent() is called\n";
}

void CStudent::print() {                 // member function definition
    cout << "m_id   = " << m_id <<endl;
    cout << "m_name = " << m_name <<endl;
}
