/* File: member.cpp */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

class CStudent {
    public:
      void setId(int id);
      void setName(char *name);
      void print();
      void freeMemory();
    private:
      int m_id;
      char *m_name;
};


void CStudent::setId(int id) {
    m_id = id;
}

void CStudent::setName(char *name) {
    if(name != NULL) {
      m_name = new char[strlen(name)+1];
      strcpy(m_name, name);
    }
}

void CStudent::print() {
    printf("m_id   =  %d\n", m_id);
    printf("m_name =  %s\n", m_name);
}

void CStudent::freeMemory() {
    if(m_name != NULL)
       delete(m_name);
}

int main() {
    CStudent s;

    s.setId(101);
    s.setName("John");
    s.print();
    s.freeMemory();
    return 0;
}
