/* File: publicc.cpp
   Access public members of a class */
#include <stdio.h>  // for printf() 
#include <string.h> // for strcpy()

class CStudent{     // define class CStudent
    public:         // m_id and m_name are public members
      int   m_id;
      char *m_name;  
};

int main() {
    CStudent s;     //  instantiate an instance of class CStudent;

    s.m_id = 101;   //  access a member of the class  
    s.m_name = new char [strlen("John")+1]; // allocate memory for m_name
    strcpy(s.m_name, "John");
    printf("s.m_id   = %d\n", s.m_id);
    printf("s.m_name = %s\n", s.m_name);
    delete(s.m_name);                      // delete the allocated memory
    return 0;
}
