/* File: retvla.ch 
   Function returns arrays of variable length arrays */
#include <array.h>  // for 'array' type qualifier

/* function returning variable length arrays */
array int func2(array int a[:])[:] {
    int n = (int)shape(a);  // get the size of the passed array
    array int x[n];
	
    printf("n = %d\n", n);
    x = 2*a;               // multiply each element by 2 for array a
    return x;
}

int main() {
    array int a[2] = {1, 2};
    array int b[5] = {10, 20, 30, 40, 50};

    a = func2(a);  // call function returning array 
    printf("a = %d\n", a);
    b = func2(b);  // call function returning array 
    printf("b = %d", b);
    return 0;
}


