/* File: interp1_1.ch */
#include <chplot.h>
#include <math.h>

int main() {
    array double xa[36], ya[36];
    array double x[12], y[12];
    CPlot plot;
    int numdataset=0, pointtype=7, pointsize=1;

    linspace(xa, -M_PI, M_PI);
    linspace(x,  -M_PI, M_PI);
    ya = sin(xa);
    interp1(y, x, xa, ya, "spline");

    plot.data2D(xa, ya);
    plot.plotType(PLOT_PLOTTYPE_POINTS, numdataset, pointtype, pointsize);
    plot.legend("original points", 0);
    numdataset=1, pointtype=1, pointsize=2;
    plot.data2D(x, y);
    plot.plotType(PLOT_PLOTTYPE_POINTS, numdataset, pointtype, pointsize);
    plot.legend("interpolated points", 1);
    plot.legendLocation(-1, 0.8);
    plot.plotting();
}
