% File: accelassumeshape.m 
function accelassumeshape(a)

g = 9.81;
mu = 0.2;
m = 5.0;
t0 = 0.0;
tf = 10.0;
n = size(a, 2);  % obtain the number of columns for a

t = linspace(t0, tf, n);
p = 4*(sin(t-3))+20;
a = (p-mu*m*g)/m;

plot(t, a);
title('Acceleration Plot');
xlabel('time (s)');
ylabel('accel (m/s^2)');
grid;
