% File: acceldata2DCurve2.m
g = 9.81;
N1 = 11;
N2 = 100;
mu = 0.2;
m = 5.0;
t0 = 0.0;
tf = 10.0;

t1 = linspace(t0, tf, N1);
p1 = 4*sin(t1-3)+20;
a1 = (p1-mu*m*g)/m;

t2 = linspace(t0, tf, N2);
p2 = 4*sin(t2-3)+20;
a2 = (p2-mu*m*g)/m;

plot(t1, a1, t2, a2, '.');         % plot two curves, points for the 2nd curve
xlabel('time (s)');
ylabel('accel (m/s^2)');
title('Acceleration Plot');
legend('11 points', '100 points'); % add legends
