% File: accelmpts.m 
g = 9.81;
mu = 0.2;
m = 5.0;
step = 1;
t0 = 0.0;
tf = 10.0;
n = (tf - t0)/step + 1;  

fprintf('\ntime (s)  accel (m/s^2)\n');
fprintf('\n-----------------------\n');
for i=0:n-1  % for i = 0:1:n-1
   t = t0 + i*step;
   if t<=3
      p = 20;
   else
      p = 4*(t+2);
   end

   a = (p-mu*m*g)/m;
   fprintf('%3.0f      %8.4f\n', t, a);
end
