/* File: sinc_fplotxy.cpp
   Plot function sinc(x)= sin(x)/x for -10<=x<=10 with 80 points */
#include <math.h>
#include <chplot.h>   /* for using fplotxy() in the plotting library */

/* function definition for sinc() to be plotted */
double sinc(double x) {
    double retval;

    retval = sin(x)/x;
    return retval;
}

int main() {
    double x0 = -10.0, xf = 10.0; /* initial and final values for x */
    int num = 80; /* number of data points for (x, y) for plotting */

    /* plot sinc from x0 to xf with num points, 
       title of the plot is "function sinc()",
       x label of the plot is "x",
       y label of the plot is "sinc(x)" */
    fplotxy(sinc, x0, xf, num, "function sinc(x)", "x", "sinc(x)");
    return 0;
}
