/* File: vacopy.c */
#include <stdarg.h>

int  funct2(int num, va_list ap) {
  int args;
  while(num--) {
    args = va_arg(ap, int);
    printf("args in funct2() is %d\n", args);
  }

  return 0;
}

void funct1(int arg_num, ...) {
  va_list ap, ap2;
  int args;
  int num;

  va_start(ap, arg_num);
  printf("print with ap\n");
  args= va_arg(ap, int); // ap points to the next
  printf("args in funct1 is %d\n", args);
  va_copy(ap2, ap);      // ap2 starts from the second argument

  num = arg_num - 1; 
  while(num--) {
    args= va_arg(ap, int);
    printf("args in funct1 is %d\n", args);
  }
  va_end(ap); 

  printf("\nprint with ap2\n");
  num = arg_num - 1;
  while(num--) {
    args= va_arg(ap2, int);
    printf("args in funct1 is %d\n", args);
  }
  va_end(ap2); // for va_copy()

  /* pass ap as argument to functions */
  printf("\npass ap to another function\n");
  va_start(ap, arg_num);  // restart
  funct2(arg_num, ap);
  va_end(ap);
}

int main(){
  int arg_num = 3;
  funct1(arg_num, 1, 2, 3);
}
