/* File: accel.h
   The header file for calculation of acceleration */

/* These two lines are included so that this header file
   can be included multiple times in a source file.
   If ACCEL_H is not defined, define it so that next time
   when the file is included, the contents will not be included again */
#ifndef ACCEL_H         
#define ACCEL_H

/* define macro M_G for the gravitational acceleration */
#define M_G   9.81

/* function prototypes */
double force(double t);
double accel(double t, double mu, double m);

#endif /* end for ACCEL_H */
