// File: sort.p
// Pseudocode for the selection sort with one swap in an iteration 

declare array a[N] with index from 0 to N-1

// select the smallest value in the remaining part of 
// the array in each iteration starting with a[i]
for i = 0, 1, ...,  N-1
    imin = i; // assume the first element is the minimum
    // compare a[imin] with a[j] for j from i+1 to N-1 
    for j = i+1, ...,  N-1
        if(a[imin] > a[j]) // if a[j] is smaller, it is the new minimum
            imin = j       // remember its index 
        endif 
    endfor
    if(imin != i) // swap the values of a[i] and a[imin] 
        temp = a[i]
        a[i] = a[imin]
        a[imin] = temp
    endif
endfor
