/* File: sortbubble.c 
   Sort an array using the bubble sort algorithm */
#include <stdio.h>

#define N 8   /* number of elements for array a */

int main() {
    /* declare array a with initialization */
    double a[N] = {3.0, 21.0, 0.0, -3.0, 34.0, -14.0, 45.0, 18.0};
    double temp;  /* temporary for swap */
    int i, j;     /* variables for array index */
    
    printf("The original data:\n"); 
    for(i = 0; i < N; i++) {  /* print the original array */
        printf("%g ", a[i]);
    }
    printf("\nThe sorted data in each iteration:\n");
    /* sink the largest value at the bottom in each iteration */
    for(i = 0; i < N-1; i++) {   
        /* compare a[j] with a[j+1] for j from 0 to N-2 */
        for(j = 0; j < N-1; j++) { 
            /* when a[j] > a[j+1], swap their values */
            if(a[j] > a[j+1]) {  
                temp = a[j];
                a[j] = a[j+1];
                a[j+1] = temp;
            }
        }
        for(j = 0; j < N; j++) { /* print the array in each iteration */
            printf("%g ", a[j]);
        }
        printf("\n");
    }
    return 0;
}
