/* File: pointer2array.c
   Use pointer to arrays  */
#include <stdio.h>

int main() {
  /* declare two two-dimensional arrays with three columns */
  int a[2][3] = {1,2,3,4,5,6}; 
  int b[2][3] = {10,20,30,40,50,60}; 
  int (*p)[3]; /* declare p as a pointer to arrays of three elements */

  /* p points to a, p <==> a, p[i][j] is the same as a[i][j] */
  p = a;       
  printf("p[1][1] = %d\n", p[1][1]);
  p[1][2] = 100;
  printf("a[1][2] = %d\n", a[1][2]);

  /* p points to b, p <==> b, p[i][j] is the same as b[i][j] */
  p = b;      
  printf("p[1][1] = %d\n", p[1][1]);
  p[1][2] = 200;
  printf("b[1][2] = %d\n", b[1][2]);
  return 0;
}
