/* File: reverseword.c 
   Input a word with six characters, print it reversely. */
#include <stdio.h>     /* for getchar() and putchar() */

#define N       6      /* number of elements for an array */
int main() {
    char word[N];      /* an array for N characters */
    char *p;           /* pointer to char */
    int i;
   
    p = &word[0];      /* p points to the first element of array word */
    printf("Please input a six-letter word\n"); 
    for(i=0; i<N; i++) {
       /* get a character from the standard input and assign it to *p */
       *p = getchar(); 
       p++;            /* p points to the next element */
    }

    /* print the word in reverse order, p now points to word[N] (outside 
       the memory for array word from word[0] to word[N-1]) */
    for(i=0; i<N; i++) {
       p--;            /* p points to the previous element */
       /* access a character by *p and print it to the standard output */
       putchar(*p);    
    }
    putchar('\n');     /* print a newline character for the prompt */
    return 0;
}
