/* File: mainarg.c
   Obtain the command line arguments through function main() */
#include <stdio.h>

/* argc contains the number of arguments in the command line,
   including the program name. argv is an array of strings,
    each string contains an argument */
int main(int argc, char *argv[])
/* or int main(int argc, char **argv) */
{
    int i;

    printf("argc = %d\n", argc); /* print the number of argument */
    for(i=0; i<argc; i++) {      /* print each command line argument */
        printf("argv[%d] = %s\n", i, argv[i]);
    }
    return 0;
}
