/* File: arraysp.c
   Handle an array of structure using a pointer */
#include <stdio.h>

struct Student {
    int id;
    char name[32];  
};

int main() {
    struct Student *sp, s[3] = {{101, "John"}, 
                               {102, "Doe"}, 
                               {103, "Peter"}};
    int i;
   
    sp = s; /* sp points to the array of structure */
    for(i=0; i<3; i++) { /* at the end of for-loop, sp remains the same */
       printf("sp[%d].id   = %d\n", i, sp[i].id);
       printf("sp[%d].name = %s\n", i, sp[i].name);
    }
    /* at the end of this for-loop, sp advanced beyond the last element
       of the array */
    for(i=0; i<3; i++, sp++) { 
       printf("id   = %d\n", sp->id);
       printf("name = %s\n", sp->name);
    }
    
    return 0;
}
