/* File: funcstructarg.c
   Function arguments contain structure and pointer to structure */
#include <stdio.h>

struct Student {
    int id;
    char name[32];  
} s1={101, "John"};

/* when a structure is passed, each member of the structure is copied.
   similar to assignment */
void func(struct Student s, struct Student *sp) {
    printf("s.id = %d\n", s.id);
    printf("s.name = %s\n", s.name);
    printf("sp->id   = %d\n", sp->id);
    printf("sp->name = %s\n", sp->name);
}

int main() {
    struct Student s2 = {102, "Doe"};

    func(s1, &s2); /* passed structure s1 and address of s2 to func() */
    return 0;
}
