/* File: strftime.c
   Use strftime() to convert a broken-down time into a string time */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>  /* for struct tm, time_t, time(), localtime(), strftime() */

int main() {
    struct tm *ptr;       /* variable for broken-down time */
    time_t ltime;         /* variable for calendar time */
    char str[80];         /* time string */
    
    ltime = time(NULL);   /* get the current calendar time */
    /* convert the calenda time to a broken-down local time */
    ptr = localtime(&ltime); 
    /* get the time string based on the broken-down local time ptr */
    strftime(str,80,"It is now %H:%M %p.",ptr);
    printf("%s\n",str);   /* print time string */ 
    return 0;
}

 
