/* File: newmalloc.cpp
   Use new and delete in C++ in comparison with malloc() and free() in C */
#include <iostream>         // for I/O in C++ 
using namespace std;        // for using cout, cin, cerr, endl 

int main() {
    int *p1 = new int;      // int *p = (int *)malloc(sizeof(int));
    int *p2 = new int[10];  // int *p = (int *)malloc(sizeof(int)*10);
    double *dp1, *dp2;
 
    dp1 = new double;       // dp1 = (double *)malloc(sizeof(double));
    dp2 = new double[10];   // dp2 = (double *)malloc(sizeof(double)*10);
    *dp1 = 1.2;
    dp2[5] = 3.4;
    cout << "*dp1 = " << *dp1 << endl;
    cout << "dp2[5] = " << dp2[5] << endl;
    cout << "*(dp2+5) = " << *(dp2+5) << endl;

    delete p1;    // free(p1);
    delete p2;    // free(p2);
    delete dp1;   // free(dp1);
    delete dp2;   // free(dp2);
    return 0;
}
