/* File: private_err.cpp
   Incorrectly access private members of a class */
#include <stdio.h>  // for printf() 
#include <string.h> // for strcpy()

class CStudent{     // define class CStudent
    private:        // m_id and m_name are private members
      int   m_id;
      char *m_name;  
};

int main() {
    CStudent s;     //  instantiate an instance of class CStudent;

    s.m_id = 101;   // Error: access private member
    s.m_name = new char [strlen("John")+1]; // Error: access private member
    strcpy(s.m_name, "John");
    printf("s.m_id   = %d\n", s.m_id);
    printf("s.m_name = %s\n", s.m_name);
    delete(s.m_name);
    return 0;
}
