/* File: accel.h */
#ifndef ACCEL_H
#define ACCEL_H

#define M_G   9.81
#define N     100   // num of points for plotting

class CBody {
    public:
      void setSys(double mu, double m);
      double force(double t);
      double accel(double t);
    private:
      double m_mu;   // friction coefficient
      double m_m;   // mass
};

#ifdef _CH_
#pragma importf <CBody.cpp>
#endif 

#endif 
