/* File: plotxy.cpp 
   Plot sin(x) from 0 to 2PI using plotxy() */
#include <math.h>   // for sin() and M_PI
#include <chplot.h> // for plotxy() 

#define N 37        // number of points for plotting

int main() {
    double x[N], y[N], x0, xf;
    int i;

    x0 = 0;
    xf = 2*M_PI;
    for(i=0; i<N; i++)  {
        x[i] = x0 + i*(xf - x0)/(N-1); 
        y[i] = sin(x[i]);
    }
    plotxy(x, y, N, "function sin(x)", "x", "sin(x)");
    return 0;
}
