/* File: matrixeq.ch */
#include <stdio.h>
#include <array.h>    // for 'array' type qualifier
#include <numeric.h>  // for inverse()

int main() {
    array double A[3][3] = {{1,2,2},{4,4,6},{7,8,9}};
    array double B[3][3] = {{7,8,9},{1,2,2},{4,4,6}};
    array double a[3] = {1,4,7}, b[3] = {5,6,8}, x[3], y[3];

    x = inverse(A+5*inverse(B))*(a*transpose(b)*b - 2*a);
    y = inverse(A*B)*(B*b - 5*A*B*x);
    printf("  x = %.3f  y = %.3f \n", x, y);
    return 0;
}
