% File: accelarray.m 
g = 9.81;
mu = 0.2;
m = 5.0;
t0 = 0.0;
tf = 10.0;
n = 11;

for i=1:n
   t(i) = t0+(i-1)*(tf - t0)/(n-1); 
   p = 4*(t(i)-3)+20;
   a(i) = (p-mu*m*g)/m;
end

fprintf('\ntime (s)  accel (m/s^2)\n');
fprintf('-----------------------\n');
for i=1:n
   fprintf('%8.4f    %8.4f\n', t(i), a(i));
end
