/* File: forceaccel.cpp
   Use a single function to calculate both force and acceleration 
   using reference types in C++ and Ch */
#include <stdio.h>
#define M_G 9.81

void forceaccel(double t, double mu, double m,  double &p, double &a);

int main() {
    double t, mu, m, p, a;

    mu = 0.2;
    m = 5.0;
    t = 2.0;
    forceaccel(t, mu, m, p, a);
    printf("Force = %f (N)\n", p);
    printf("Acceleration = %f (m/s^2)\n", a);
    return 0;
}

void forceaccel(double t, double mu, double m,  double &p, double &a) {
    p = 4*(t-3) + 20;
    a = (p - mu*m*M_G)/m;
}
